#!/usr/bin/env bash

# check for required pk3.
source ${BASH_SOURCE[0]%/*}/.dependencies
check_dependencies "${gamePath}/GMOTA_V.1.5.2.pk3" \
    "https://combine-kegan.itch.io/gmota" \
    "Place the file in ${gamePath}"

# Set up the pk3 and wad files 
gameOption=(
    "${gamePath}/TobyAccMod_V${tobyVersion}.pk3"
    "$gamePath/Addons/MENU/TobyV${tobyVersion%%-*}_"*
    "$gamePath/Addons/DOOM/TobyV${tobyVersion%%-*}_Proximity.pk3"
    "${gamePath}/GMOTA_V.1.5.2.pk3"
)


source ${BASH_SOURCE[0]%/*}/.mapmenu
flags=(
    # Key bindings
    '+bind Alt +altattack'
    '+bind Ctrl +attack'
    '+bind G +User1'
    '+bind U unreloader'
    # Variables
    '+Toby_NarrationOutputType 2'
    '+pb_exaggeratedrecoil false'
    '+pb_weapon_recoil_mod_horizontal 0'
    '+pb_weapon_recoil_mod_vertical 0'
    '+vertspread true'
)
